Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06740 Sound Major Random Oct 29, 2017, 18:25 Sep 14, 2019, 16:27
Tester Kale View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows Vista/7/8 (64-bit)
Status [?] Acknowledged Driver dec0.cpp
Version 0.191 Fixed in Version Build 64-bit
Summary 06740: slyspy, bouldash: Sound randomly speeds up and eventually dies
Description In both these games sound have issues on certain conditions (same sound HW)
In Sly Spy, between stage 7 and 8 transitions sound starts to oddly speed up, and might eventually lock up completely with a stuck tone.
In Boulder Dash this can occur between stages 2-3 and 2-4
Steps To Reproduce Play Sly Spy up to stage 8 or Boulder Dash up to 2-4
Additional Information Regression version around 0.106 and 0.121, where HuC6280 sound CPU has been downclocked from 3 to 2 MHz.
Also provided inps:
For Sly Spy WolfMAME 0.190 is used on secretagj set.
For Boulder Dash WolfMAME 0.191 is used on bouldashj set, I've continued on 2-4 just to make the bug to occur.
Flags
Regression Version
Affected Sets / Systems slyspy, bouldash
Attached Files
zip file icon bouldashj_soundbug_wolf0191.zip (125,681 bytes) Oct 29, 2017, 18:25 Uploaded by Kale
zip file icon secretagj_soundbug_wolf190.zip (438,606 bytes) Oct 29, 2017, 18:29 Uploaded by Kale
Relationships
related to 00389ResolvedAJR cbuster: The tempo of the music played by one of the OKI6295's (#1 I think) speeds up when the flamethrower is used 
related to 06974Resolved cninja: Sound speeds up when fighting with the stage 4.2 boss 
Notes
8
User avatar
No.14361
Tafoid
Administrator
Oct 29, 2017, 23:44
Reminds me of Crude Buster where certain sound effects caused the sound to speed up and then go back slow 00389.
Might be related somehow?
User avatar
No.14366
Kale
Developer
Oct 30, 2017, 10:24
Good catch, both shares same CPUs and an IRQ tied to a Yamaha sound chip.
There must be something in the CPU execution that makes it to behave strangely ...
User avatar
No.14995
StHiryu
Tester
Apr 30, 2018, 23:09
Sly Spy speed up sound bug has been fixed in mame 0.192.
User avatar
No.14998
Kale
Developer
May 3, 2018, 03:43
Actually worked around by changing the sound CPU clock, not fixed.
Changing this to acknowledged.
User avatar
No.16877
MetalGod
Senior Tester
Sep 9, 2019, 18:19
Is this fixed too ?
User avatar
No.16878
StHiryu
Tester
Sep 9, 2019, 20:11
I've just played it at mame 0.212 and the music plays fine, but I don't know if it's because of the cpu clock changes made. I'll try it again in the next git release, since the pull request from the other data east games have been merged into the mame code.
User avatar
No.16879
MetalGod
Senior Tester
Sep 9, 2019, 21:14
I mean fixed by recent AJW work, like the related reports.
User avatar
No.16909
AJR
Developer
Sep 14, 2019, 16:27
My recent changes don't apply to these games, or at least haven't been applied yet. The issue is that some Data East sound programs normally run using IRQs from the YM2151 which override those from the HuC6280 timer (which is reloaded each time by the service routine), but when certain sounds are playing the YM2151 IRQs aren't used for some reason and the music speed is determined by the internally generated IRQs as a result. I have no idea whether something like that is going on with these games as well.